このエンドポイントはヘアカラー変更プロセスを開始します。ソースファイル(URL または File ID 経由)を提供し、色設定(プリセット、パターン、またはパレット)を指定する必要があります。タスクは非同期で処理され、このレスポンスで返される task_id を使用してステータスを確認できます。
セキュリティ
BearerAuthenticationV2
Any of:
このオブジェクトは、AI ヘアカラータスクの実行を表します。
(省略可; "pattern" と "palettes" のどちらも提供されない場合は必須) デフォルトのヘアカラープリセット。フルモードで利用可能: ['Jet Black', 'Chocolate Brown', 'Honey Blonde', 'Platinum Blonde', 'Ash Gray', 'Rose Gold', 'Burgundy', 'Copper Red', 'Lavender', 'Teal Blue'] オンブレモードで利用可能: ['Dark Brown/Caramel Blonde', 'Jet Black/Silver Gray', 'Ash Brown/Lavender', 'Rose Gold/Peach Blonde', 'Burgundy/Magenta Pink', 'Deep Blue/Teal Green', 'Plum Purple/Pastel Lilac', 'Copper Red/Golden Blonde', 'Dark Gray/Ice Blonde', 'Midnight Blue/Denim Blue']
Enum:"Jet Black""Chocolate Brown""Honey Blonde""Platinum Blonde""Ash Gray""Rose Gold""Burgundy""Copper Red""Lavender""Teal Blue"
(省略可; "preset" が指定されていない場合は必須) フルモードでは配列長 1、 ombre モードでは 2
- https://yce-api-01.makeupar.comhttps://yce-api-01.makeupar.com/s2s/v2.0/task/hair-color
curl -i -X POST \
https://yce-api-01.makeupar.com/s2s/v2.0/task/hair-color \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"src_file_url": "https://example.com/selfie.jpg",
"preset": "Jet Black",
"pattern": {
"name": "ombre",
"blend_strength": 0,
"line_offset": -0.99,
"coloring_section": "top"
},
"palettes": [
{
"color": "string",
"color_intensity": 0,
"shine_intensity": 0
}
]
}'レスポンス
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }